package com.sv.entity.face;

import java.util.List;

public class AddMemberResponse {

    /**
     * code : 0
     * data : {"avatar":"","birthday":null,"come_from":"","company_id":2,"department":"技术部","description":"梦想，就是这么任性！","email":"xyz@sina.com","end_time":null,"entry_date":null,"gender":1,"id":19633,"interviewee":"","job_number":"104","name":"赵六","password_reseted":false,"phone":"13788890284","photos":[],"purpose":0,"remark":"我是后端","start_time":null,"subject_type":0,"title":"工程师","visit_notify":false}
     */

    private int code;
    private DataBean data;
    private String desc;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public static class DataBean {
        /**
         * avatar :
         * birthday : null
         * come_from :
         * company_id : 2
         * department : 技术部
         * description : 梦想，就是这么任性！
         * email : xyz@sina.com
         * end_time : null
         * entry_date : null
         * gender : 1
         * id : 19633
         * interviewee :
         * job_number : 104
         * name : 赵六
         * password_reseted : false
         * phone : 13788890284
         * photos : []
         * purpose : 0
         * remark : 我是后端
         * start_time : null
         * subject_type : 0
         * title : 工程师
         * visit_notify : false
         */

        private String avatar;
        private Object birthday;
        private String come_from;
        private int company_id;
        private String department;
        private String description;
        private String email;
        private Object end_time;
        private Object entry_date;
        private int gender;
        private int id;
        private String interviewee;
        private String job_number;
        private String name;
        private boolean password_reseted;
        private String phone;
        private int purpose;
        private String remark;
        private Object start_time;
        private int subject_type;
        private String title;
        private boolean visit_notify;
        private List<?> photos;

        public String getAvatar() {
            return avatar;
        }

        public void setAvatar(String avatar) {
            this.avatar = avatar;
        }

        public Object getBirthday() {
            return birthday;
        }

        public void setBirthday(Object birthday) {
            this.birthday = birthday;
        }

        public String getCome_from() {
            return come_from;
        }

        public void setCome_from(String come_from) {
            this.come_from = come_from;
        }

        public int getCompany_id() {
            return company_id;
        }

        public void setCompany_id(int company_id) {
            this.company_id = company_id;
        }

        public String getDepartment() {
            return department;
        }

        public void setDepartment(String department) {
            this.department = department;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public String getEmail() {
            return email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public Object getEnd_time() {
            return end_time;
        }

        public void setEnd_time(Object end_time) {
            this.end_time = end_time;
        }

        public Object getEntry_date() {
            return entry_date;
        }

        public void setEntry_date(Object entry_date) {
            this.entry_date = entry_date;
        }

        public int getGender() {
            return gender;
        }

        public void setGender(int gender) {
            this.gender = gender;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getInterviewee() {
            return interviewee;
        }

        public void setInterviewee(String interviewee) {
            this.interviewee = interviewee;
        }

        public String getJob_number() {
            return job_number;
        }

        public void setJob_number(String job_number) {
            this.job_number = job_number;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public boolean isPassword_reseted() {
            return password_reseted;
        }

        public void setPassword_reseted(boolean password_reseted) {
            this.password_reseted = password_reseted;
        }

        public String getPhone() {
            return phone;
        }

        public void setPhone(String phone) {
            this.phone = phone;
        }

        public int getPurpose() {
            return purpose;
        }

        public void setPurpose(int purpose) {
            this.purpose = purpose;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public Object getStart_time() {
            return start_time;
        }

        public void setStart_time(Object start_time) {
            this.start_time = start_time;
        }

        public int getSubject_type() {
            return subject_type;
        }

        public void setSubject_type(int subject_type) {
            this.subject_type = subject_type;
        }

        public String getTitle() {
            return title;
        }

        public void setTitle(String title) {
            this.title = title;
        }

        public boolean isVisit_notify() {
            return visit_notify;
        }

        public void setVisit_notify(boolean visit_notify) {
            this.visit_notify = visit_notify;
        }

        public List<?> getPhotos() {
            return photos;
        }

        public void setPhotos(List<?> photos) {
            this.photos = photos;
        }
    }
}
